org.apache.tinkerpop.gremlin.structure

## Class VertexPropertyTest.VertexPropertyProperties

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VertexPropertyTest.VertexPropertyProperties

- Enclosing class:
    VertexPropertyTest

      public static class VertexPropertyTest.VertexPropertyProperties
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertyProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldReturnEmptyIfNoMetaProperties()`
    `void` | `shouldSupportPropertiesOnMultiProperties()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPropertyProperties

          public VertexPropertyProperties()

  - ### Method Detail

    - #### shouldReturnEmptyIfNoMetaProperties

          public void shouldReturnEmptyIfNoMetaProperties()

    - #### shouldSupportPropertiesOnMultiProperties

          public void shouldSupportPropertiesOnMultiProperties()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.